Purchase a shipping label using the rate_id returned by Get Rates.
安全
BearerAuth or ApiTokenAuth
- Production serverhttps://ps-api.shipsaving.com/api/rates/buy
- Sandbox serverhttps://ps-api.shipsaving.us/api/rates/buy
- BearerAuth
- ApiTokenAuth
curl -i -X GET \
'https://ps-api.shipsaving.com/api/rates/buy?rate_id=rate_e50d02e2-047a-402c-aa32-22ad0926db00' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Label purchased successfully
Array []
Label image URLs.
示例:
[ "https://example.com/labels/2025-06-30/label_0.png" ]
Response
[ { "shipment_id": 1245627, "packing_slip_number": 109169, "master_tracking_code": "", "prefix_tracking_code": "", "tracking_code": "1ZY50G652000880500", "label_size": "4x6", "label_type": "png", "length": 12, "width": 12, "height": 7, "weight": 14.99, "insurance": 0, "insurance_fee": { … }, "signature": "NO_SIGNATURE", "custom_print1": "", "custom_print2": "", "delivery_days": 1, "service_fee": 0.05, "rate": 10.87, "rebate": 0, "from_name": "John Doe", "from_company": "ShipSaving, LLC", "from_phone": "", "from_street": "1600 Amphitheatre Parkway", "from_street2": "", "from_city": "Mountain View", "from_state": "CA", "from_zip": "94043", "from_country": "US", "to_name": "Jane Smith", "to_company": "", "to_phone": "", "to_street": "350 Fifth Avenue", "to_street2": "", "to_city": "New York", "to_state": "NY", "to_zip": "10118", "to_country": "US", "label_status": "completed", "warehouse_name": "WH", "store_name": "", "order_number": "", "provider": "shipsaving", "carrier": "UPS", "service": "UPS_GROUND", "package": "PACKAGE", "published_rate": 34.53, "label_url": [ … ], "commercial_invoice_url": null } ]